Home » 2008 » November (Page 2)

Merb 1.0 正式版

Merb 1.0 正式版已經放出來,不過目前還沒辦法裝...

因為 Merb 1.0 要 RubyGems 1.3.0 版或是更新的版本 (寫這篇時最新版是 1.3.1),而 FreeBSD PortsUbuntu 8.10 內目前所附的都是 1.2.0 版,當場輸光光...

再等幾天 Ubuntu 應該會更新吧... (應該吧)

Merb

想在 Laptop 上的 Ubuntu 8.10 玩 Merb,結果發現比想像中的麻煩許多。

安裝的部份,一開始是透過 apt-cache 找,但發現 apt 裡面沒有,所以得自己透過 Ruby Gems 裝。安裝的過程很不順利,除了仔細看錯誤訊息去猜測原因外,主要還是得靠 Google 找答案。

實際要透過 merb-gen 產生 project 時,又發現還有不少 dependency 沒裝進去,一個一個補裝後才解決。

剛剛總算把一個什麼都還沒改過的 Merb 跑起來了:

不過這些應該會在 1.0 正式版推出前解決吧?(errr...)

Archives